### Constructor

# Gtk.MediaFile.new_for_resource

#### Declaration [src]

    GtkMediaStream*
    gtk_media_file_new_for_resource (
      const char* resource_path
    )

#### Description [src]

Creates a new new media file for the given resource.

This is a utility function that converts the given `resource` to a `GFile` and calls `gtk_media_file_new_for_file()`.

#### Parameters

`resource_path` | `const char*`
| resource path to open
| Ownership is not transferred to the callee
| The string is a NUL terminated UTF-8 string

#### Return value

Returns: `GtkMediaFile`
a new `GtkMediaFile` playing `resource_path`
Ownership of the data is transferred to the caller